Reveal card details
curl --request POST \
--url https://sg.sandbox.api.reap.global/cards/{id}/reveal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"stylesheetUrl": "<string>",
"showCopyPanButton": false
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({stylesheetUrl: '<string>', showCopyPanButton: false})
};
fetch('https://sg.sandbox.api.reap.global/cards/{id}/reveal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/cards/{id}/reveal"
payload = {
"stylesheetUrl": "<string>",
"showCopyPanButton": False
}
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"revealUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "CARD_OPERATION_NOT_ALLOWED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "CARD_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Cards
Reveal card details
Generates a short-lived URL to securely display card details (PAN, CVV, expiry) in an iframe or WebView. The URL is valid for 5 minutes and is single-use. Do not store, log, or expose this URL beyond the immediate display context.
POST
/
cards
/
{id}
/
reveal
Reveal card details
curl --request POST \
--url https://sg.sandbox.api.reap.global/cards/{id}/reveal \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Reap-Version: <reap-version>' \
--data '
{
"stylesheetUrl": "<string>",
"showCopyPanButton": false
}
'const options = {
method: 'POST',
headers: {
'Reap-Version': '<reap-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({stylesheetUrl: '<string>', showCopyPanButton: false})
};
fetch('https://sg.sandbox.api.reap.global/cards/{id}/reveal', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sg.sandbox.api.reap.global/cards/{id}/reveal"
payload = {
"stylesheetUrl": "<string>",
"showCopyPanButton": False
}
headers = {
"Reap-Version": "<reap-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"revealUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "CARD_OPERATION_NOT_ALLOWED",
"message": "<string>",
"detail": {}
}
}{
"error": {
"code": "CARD_NOT_FOUND",
"message": "<string>",
"detail": {}
}
}Authorizations
API key as Bearer token
Headers
API version (YYYY-MM-DD)
Available options:
2025-02-14 Example:
"2025-02-14"
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Request body for revealing card details
Response
Card reveal response
URL to load in an iframe or WebView to display card details (PAN, CVV, expiry). Valid for 5 minutes. Do not store or expose this URL beyond the immediate display context.
ISO 8601 expiration timestamp for the reveal URL
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$